/*
 Navicat Premium Data Transfer

 Source Server         : 127.0.0.1 MySQL
 Source Server Type    : MySQL
 Source Server Version : 80200 (8.2.0)
 Source Host           : 127.0.0.1:3306
 Source Schema         : ruoyi-vue-pro

 Target Server Type    : MySQL
 Target Server Version : 80200 (8.2.0)
 File Encoding         : 65001

 Date: 24/03/2024 10:38:12
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for bpm_category
-- ----------------------------
DROP TABLE IF EXISTS `bpm_category`;
CREATE TABLE `bpm_category`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '分类编号',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '分类名',
  `code` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '分类标志',
  `description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '分类描述',
  `status` tinyint NULL DEFAULT NULL COMMENT '分类状态',
  `sort` int NULL DEFAULT NULL COMMENT '分类排序',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 116 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'BPM 流程分类';

-- ----------------------------
-- Records of bpm_category
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for bpm_form
-- ----------------------------
DROP TABLE IF EXISTS `bpm_form`;
CREATE TABLE `bpm_form`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表单名',
  `status` tinyint NOT NULL COMMENT '开启状态',
  `conf` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表单的配置',
  `fields` varchar(5000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表单项的数组',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 27 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'BPM 表单定义表';

-- ----------------------------
-- Records of bpm_form
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for bpm_oa_leave
-- ----------------------------
DROP TABLE IF EXISTS `bpm_oa_leave`;
CREATE TABLE `bpm_oa_leave`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '请假表单主键',
  `user_id` bigint NOT NULL COMMENT '申请人的用户编号',
  `type` tinyint NOT NULL COMMENT '请假类型',
  `reason` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '请假原因',
  `start_time` datetime NOT NULL COMMENT '开始时间',
  `end_time` datetime NOT NULL COMMENT '结束时间',
  `day` tinyint NOT NULL COMMENT '请假天数',
  `status` tinyint NOT NULL COMMENT '审批结果',
  `process_instance_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '流程实例的编号',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 41 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'OA 请假申请表';

-- ----------------------------
-- Records of bpm_oa_leave
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for bpm_process_definition_info
-- ----------------------------
DROP TABLE IF EXISTS `bpm_process_definition_info`;
CREATE TABLE `bpm_process_definition_info`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `process_definition_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '流程定义的编号',
  `model_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '流程模型的编号',
  `icon` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '图标',
  `description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '描述',
  `form_type` tinyint NOT NULL COMMENT '表单类型',
  `form_id` bigint NULL DEFAULT NULL COMMENT '表单编号',
  `form_conf` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '表单的配置',
  `form_fields` varchar(5000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '表单项的数组',
  `form_custom_create_path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '自定义表单的提交路径',
  `form_custom_view_path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '自定义表单的查看路径',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 241 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'BPM 流程定义的信息表';

-- ----------------------------
-- Records of bpm_process_definition_info
-- ----------------------------
BEGIN;
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (141, 'test_return:1:dd6b6e1d-5ac0-11ee-be77-fe3a43e3aa2f', '75452338-5ac0-11ee-be77-fe3a43e3aa2f', NULL, NULL, 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2023-09-24 17:58:09', '1', '2023-09-24 17:58:09', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (142, 'test_return2:1:e2de03c7-5ac2-11ee-9bee-fe3a43e3aa2f', 'ad8d0722-5ac2-11ee-9bee-fe3a43e3aa2f', NULL, 'biubiu', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2023-09-24 18:12:37', '1', '2023-09-24 18:12:37', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (143, 'test_return2:2:320f7403-5ac3-11ee-9bee-fe3a43e3aa2f', 'ad8d0722-5ac2-11ee-9bee-fe3a43e3aa2f', NULL, 'biubiu', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2023-09-24 18:14:50', '1', '2023-09-24 18:14:50', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (144, 'contract-approve:1:057a9d3b-d1ed-11ee-a436-8a9af48de719', '499c96e6-d1ec-11ee-a436-8a9af48de719', NULL, NULL, 20, NULL, NULL, NULL, '1', '/crm/contract/detail', '1', '2024-02-23 09:44:02', '1', '2024-02-23 09:44:02', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (145, 'contract-approve:2:dd644004-d208-11ee-ba3b-5e0431cb568f', '499c96e6-d1ec-11ee-a436-8a9af48de719', NULL, NULL, 20, NULL, NULL, NULL, '/crm/contract/detail2', '/crm/contract/detail2', '1', '2024-02-23 13:03:21', '1', '2024-02-23 13:03:21', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (146, 'contract-approve:3:87c93a24-d212-11ee-ba3b-5e0431cb568f', '499c96e6-d1ec-11ee-a436-8a9af48de719', NULL, NULL, 20, NULL, NULL, NULL, '/crm/contract/detail/index', '/crm/contract/detail/index', '1', '2024-02-23 14:12:32', '1', '2024-02-23 14:12:32', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (147, 'crm-contract-audit:1:a5ec9240-d2a7-11ee-a703-92ff8e2e5a3e', '5b40f87b-d2a7-11ee-a703-92ff8e2e5a3e', NULL, NULL, 20, NULL, NULL, NULL, '/crm/business/detail/index', '/crm/business/detail/index', '1', '2024-02-24 07:59:58', '1', '2024-02-24 07:59:58', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (148, 'crm-contract-audit:2:288f69f6-d2a8-11ee-b20a-8adfac90dc14', '5b40f87b-d2a7-11ee-a703-92ff8e2e5a3e', NULL, NULL, 20, NULL, NULL, NULL, '/crm/contract/detail/index', '/crm/contract/detail/index', '1', '2024-02-24 08:03:37', '1', '2024-02-24 08:03:37', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (149, 'crm-receivable-audit:1:fa8272f3-d3d2-11ee-aa2f-26aa5e0b65cc', '9bc054ce-d3d2-11ee-aa2f-26aa5e0b65cc', NULL, NULL, 20, NULL, NULL, NULL, '/crm/receivable/detail/index', '/crm/receivable/detail/index', '1', '2024-02-25 19:42:39', '1', '2024-02-25 19:42:39', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (150, 'xx:1:4d87fd62-e074-11ee-9b46-0e22e0b61031', '9f50553c-a6b4-11ee-904d-2a0706c917c0', NULL, NULL, 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-12 21:27:42', '1', '2024-03-12 21:27:42', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (151, 'xx:2:eacda6dc-e077-11ee-be9b-f21fd1da61a2', '9f50553c-a6b4-11ee-904d-2a0706c917c0', NULL, NULL, 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-12 21:53:34', '1', '2024-03-12 21:53:34', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (152, 'new-1:1:73f06beb-e13b-11ee-a38f-06b2c2ddc7b1', '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1', NULL, NULL, 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-13 21:13:16', '1', '2024-03-13 21:13:16', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (153, 'new-1:2:7f2c569a-e141-11ee-9d86-06b2c2ddc7b1', '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1', NULL, '2', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-13 21:56:32', '1', '2024-03-13 21:56:32', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (154, 'new-1:3:86ec704e-e141-11ee-9d86-06b2c2ddc7b1', '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1', NULL, '2', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-13 21:56:45', '1', '2024-03-13 21:56:45', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (155, 'new-1:4:6a258922-e1bc-11ee-9330-feeee51d4267', '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1', NULL, '2', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-14 12:36:25', '1', '2024-03-14 12:36:25', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (156, 'new-1:5:a48c8e16-e1bc-11ee-9330-feeee51d4267', '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1', NULL, '2', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-14 12:38:03', '1', '2024-03-14 12:38:03', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (157, 'new-1:6:ab7ad8da-e1bc-11ee-9330-feeee51d4267', '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1', NULL, '2222', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-14 12:38:14', '1', '2024-03-14 12:38:14', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (158, 'new-1:7:d7595072-e1bc-11ee-9b9f-feeee51d4267', '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1', NULL, '2222', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-14 12:39:28', '1', '2024-03-14 12:39:28', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (159, 'new-1:8:75b9842a-e205-11ee-aac1-66c23f24ce2b', '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1', NULL, '2222', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-14 21:19:17', '1', '2024-03-14 21:19:17', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (160, 'new-1:9:9dcaa07e-e205-11ee-aac1-66c23f24ce2b', '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1', NULL, '2222', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-14 21:20:25', '1', '2024-03-14 21:20:25', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (161, 'new-1:10:9f5a6842-e205-11ee-aac1-66c23f24ce2b', '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1', NULL, '2222', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-14 21:20:27', '1', '2024-03-14 21:20:27', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (162, 'new-1:11:f2499f4b-e20c-11ee-beae-46aa22562164', '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1', NULL, '2222', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-14 22:12:53', '1', '2024-03-14 22:12:53', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (163, 'new-2:1:7fc84238-e2c1-11ee-ad8d-9216688a4b8f', '096c61cd-e2c0-11ee-ad8d-9216688a4b8f', NULL, '123', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-15 19:45:20', '1', '2024-03-15 19:45:20', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (164, 'new-2:2:18c21844-e2c2-11ee-ad8d-9216688a4b8f', '096c61cd-e2c0-11ee-ad8d-9216688a4b8f', NULL, '123', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-15 19:49:36', '1', '2024-03-15 19:49:36', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (165, 'new-2:3:2a67c3b8-e2c2-11ee-ad8d-9216688a4b8f', '096c61cd-e2c0-11ee-ad8d-9216688a4b8f', NULL, '123', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-15 19:50:06', '1', '2024-03-15 19:50:06', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (166, 'new-2:4:4bdfb93e-e2c2-11ee-ad8d-9216688a4b8f', '096c61cd-e2c0-11ee-ad8d-9216688a4b8f', NULL, '123', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-15 19:51:02', '1', '2024-03-15 19:51:02', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (167, 'new-2:5:aca8925e-e2e9-11ee-83a1-0e2aa205f435', '096c61cd-e2c0-11ee-ad8d-9216688a4b8f', NULL, '123', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-16 00:32:55', '1', '2024-03-16 00:32:55', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (168, 'new-2:6:634784f8-e2ea-11ee-b183-0e2aa205f435', '096c61cd-e2c0-11ee-ad8d-9216688a4b8f', NULL, '123', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-16 00:38:01', '1', '2024-03-16 00:38:01', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (169, 'new-2:7:8167c4f2-e2ea-11ee-b183-0e2aa205f435', '096c61cd-e2c0-11ee-ad8d-9216688a4b8f', NULL, '123', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-16 00:38:52', '1', '2024-03-16 00:38:52', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (170, 'test:1:9c4cac8d-e360-11ee-9498-6aca1e3be435', '7077f888-e360-11ee-9498-6aca1e3be435', NULL, 'biubiubiu', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-16 14:44:17', '1', '2024-03-16 14:44:17', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (171, 'test:2:99e30b8e-e370-11ee-a1a2-0ebfd53b3c91', '7077f888-e360-11ee-9498-6aca1e3be435', NULL, 'biubiubiu', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-16 16:38:45', '1', '2024-03-16 16:38:45', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (172, 'test:3:9befa472-e370-11ee-a1a2-0ebfd53b3c91', '7077f888-e360-11ee-9498-6aca1e3be435', NULL, 'biubiubiu', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-16 16:38:49', '1', '2024-03-16 16:38:49', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (173, 'huoqian:1:e95f383c-e37e-11ee-a889-0ebfd53b3c91', 'd139e257-e37e-11ee-a889-0ebfd53b3c91', NULL, '123321', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-16 18:21:12', '1', '2024-03-16 18:21:12', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (174, 'bohui:1:5b1ab874-e384-11ee-9e7b-aab4713d012e', '35963a6f-e384-11ee-9e7b-aab4713d012e', NULL, NULL, 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-16 19:00:10', '1', '2024-03-16 19:00:10', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (175, 'bohui:2:929c1199-e5ca-11ee-9e7b-3e9a6d6b4cd2', '35963a6f-e384-11ee-9e7b-aab4713d012e', NULL, '测试', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-19 16:27:50', '1', '2024-03-19 16:27:50', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (176, 'bohui:3:2e6a6c9d-e5e2-11ee-9e7b-3e9a6d6b4cd2', '35963a6f-e384-11ee-9e7b-aab4713d012e', NULL, '测试', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-19 19:16:50', '1', '2024-03-19 19:16:50', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (177, 'huoqian:2:3081daf1-e5e2-11ee-9e7b-3e9a6d6b4cd2', 'd139e257-e37e-11ee-a889-0ebfd53b3c91', NULL, '312321', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-19 19:16:53', '1', '2024-03-19 19:16:53', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (178, 'test:4:31c77a55-e5e2-11ee-9e7b-3e9a6d6b4cd2', '7077f888-e360-11ee-9498-6aca1e3be435', NULL, 'biubiubiu', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-19 19:16:56', '1', '2024-03-19 19:16:56', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (179, 'new-1:12:32ec9969-e5e2-11ee-9e7b-3e9a6d6b4cd2', '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1', NULL, '2222', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-19 19:16:57', '1', '2024-03-19 19:16:57', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (180, 'new-1:13:8612ea4d-e5e2-11ee-9e7b-3e9a6d6b4cd2', '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1', NULL, '2222', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-19 19:19:17', '1', '2024-03-19 19:19:17', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (181, 'crm-receivable-audit:2:87747621-e5e2-11ee-9e7b-3e9a6d6b4cd2', '9bc054ce-d3d2-11ee-aa2f-26aa5e0b65cc', NULL, NULL, 20, NULL, NULL, NULL, '/crm/receivable/detail/index', '/crm/receivable/detail/index', '1', '2024-03-19 19:19:19', '1', '2024-03-19 19:19:19', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (182, 'huoqian:3:a0f2f365-e5e2-11ee-9e7b-3e9a6d6b4cd2', 'd139e257-e37e-11ee-a889-0ebfd53b3c91', NULL, '312321', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-19 19:20:02', '1', '2024-03-19 19:20:02', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (183, 'bohui:4:0ae36c02-e607-11ee-95fc-76ce04f8068a', '35963a6f-e384-11ee-9e7b-aab4713d012e', NULL, '测试', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-19 23:40:42', '1', '2024-03-19 23:40:42', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (184, 'bohui:5:cc1ecb1f-e60c-11ee-9a09-76ce04f8068a', '35963a6f-e384-11ee-9e7b-aab4713d012e', NULL, '测试', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-20 00:21:53', '1', '2024-03-20 00:21:53', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (185, 'bohui:6:cd95b3b3-e60c-11ee-9a09-76ce04f8068a', '35963a6f-e384-11ee-9e7b-aab4713d012e', NULL, '测试', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-20 00:21:56', '1', '2024-03-20 00:21:56', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (186, 'huoqian:4:e4f8f217-e60c-11ee-9a09-76ce04f8068a', 'd139e257-e37e-11ee-a889-0ebfd53b3c91', NULL, '312321', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-20 00:22:35', '1', '2024-03-20 00:22:35', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (187, 'huoqian:5:e87101db-e60c-11ee-9a09-76ce04f8068a', 'd139e257-e37e-11ee-a889-0ebfd53b3c91', NULL, '312321', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-20 00:22:41', '1', '2024-03-20 00:22:41', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (188, 'new-test:1:c94e33b3-e60e-11ee-b246-76ce04f8068a', '89f1f488-e60e-11ee-9a09-76ce04f8068a', NULL, NULL, 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-20 00:36:08', '1', '2024-03-20 00:36:08', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (189, 'new-test:2:09735826-e66a-11ee-9c22-4aafd11823fb', '89f1f488-e60e-11ee-9a09-76ce04f8068a', NULL, NULL, 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-20 11:29:19', '1', '2024-03-20 11:29:19', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (190, 'new-test:3:0abe009a-e66a-11ee-9c22-4aafd11823fb', '89f1f488-e60e-11ee-9a09-76ce04f8068a', NULL, NULL, 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-20 11:29:22', '1', '2024-03-20 11:29:22', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (191, 'hhhh:1:8b313806-e698-11ee-8b05-52c6ce924391', '155910bd-e698-11ee-aeba-aa5b9845b3dd', NULL, '444', 10, 24, NULL, NULL, NULL, NULL, '1', '2024-03-20 17:02:14', '1', '2024-03-20 17:02:14', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (192, 'hhhh:2:b96ff12b-e699-11ee-a9b4-52c6ce924391', '155910bd-e698-11ee-aeba-aa5b9845b3dd', NULL, '444', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-20 17:10:41', '1', '2024-03-20 17:10:41', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (193, 'oa_leave:1:7f7be21c-e6b8-11ee-9cdc-4a23a0fa7ecb', '5a910c07-e6b8-11ee-9cdc-4a23a0fa7ecb', NULL, NULL, 20, NULL, NULL, NULL, '/bpm/oa/leave/create', '/bpm/oa/leave/detail', '1', '2024-03-20 20:50:58', '1', '2024-03-20 20:50:58', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (194, 'oa_leave:2:dc565ee3-e841-11ee-a5e7-525da23008fe', '5a910c07-e6b8-11ee-9cdc-4a23a0fa7ecb', NULL, NULL, 20, NULL, NULL, NULL, '/bpm/oa/leave/create', '/bpm/oa/leave/detail', '1', '2024-03-22 19:46:46', '1', '2024-03-22 19:46:46', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (195, 'hhhh:3:c1e2dce5-e842-11ee-90ce-4a385f3b4f1a', '155910bd-e698-11ee-aeba-aa5b9845b3dd', NULL, '444', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-22 19:53:11', '1', '2024-03-22 19:53:11', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (196, 'hhhh:4:d27088a9-e842-11ee-90ce-4a385f3b4f1a', '155910bd-e698-11ee-aeba-aa5b9845b3dd', NULL, '444', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-22 19:53:39', '1', '2024-03-22 19:53:39', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (197, 'oa_leave:3:ec4b0352-e85f-11ee-a915-fef401dd8c67', '5a910c07-e6b8-11ee-9cdc-4a23a0fa7ecb', NULL, NULL, 20, NULL, NULL, NULL, '/bpm/oa/leave/create', '/bpm/oa/leave/detail', '1', '2024-03-22 23:21:58', '1', '2024-03-22 23:21:58', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (198, 'hhhh:5:f8052e06-e85f-11ee-a915-fef401dd8c67', '155910bd-e698-11ee-aeba-aa5b9845b3dd', NULL, '444', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-22 23:22:18', '1', '2024-03-22 23:22:18', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (199, 'hhhh:6:f9c52d8a-e85f-11ee-a915-fef401dd8c67', '155910bd-e698-11ee-aeba-aa5b9845b3dd', NULL, '444', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-22 23:22:21', '1', '2024-03-22 23:22:21', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (200, 'oa_leave:4:405a9670-e86a-11ee-9962-52c5f2f50e3f', '5a910c07-e6b8-11ee-9cdc-4a23a0fa7ecb', NULL, NULL, 20, NULL, NULL, NULL, '/bpm/oa/leave/create', '/bpm/oa/leave/detail', '1', '2024-03-23 00:35:54', '1', '2024-03-23 00:35:54', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (201, 'test-execute-listener:1:53f38c0e-e8c7-11ee-a81e-aa3623b10f85', '63ad6275-e8c6-11ee-a81e-aa3623b10f85', NULL, NULL, 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 11:42:10', '1', '2024-03-23 11:42:10', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (202, 'test-execute-listener:2:a385e0a9-e8c7-11ee-aad0-aa3623b10f85', '63ad6275-e8c6-11ee-a81e-aa3623b10f85', NULL, NULL, 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 11:44:23', '1', '2024-03-23 11:44:23', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (203, 'jiandan:1:9303634e-e8c8-11ee-afed-aa3623b10f85', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 11:51:05', '1', '2024-03-23 11:51:05', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (204, 'jiandan:2:a188dba5-e8cb-11ee-90b0-aa3623b10f85', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 12:12:58', '1', '2024-03-23 12:12:58', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (205, 'jiandan:3:a365b1f9-e8cb-11ee-90b0-aa3623b10f85', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 12:13:01', '1', '2024-03-23 12:13:01', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (206, 'jiandan:4:cd840373-e8cb-11ee-90b0-aa3623b10f85', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 12:14:12', '1', '2024-03-23 12:14:12', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (207, 'jiandan:5:eaa4117f-e8cb-11ee-90b0-aa3623b10f85', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 12:15:01', '1', '2024-03-23 12:15:01', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (208, 'jiandan:6:86693c4b-e8cc-11ee-90b0-aa3623b10f85', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 12:19:22', '1', '2024-03-23 12:19:22', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (209, 'jiandan:7:05a77968-e8cf-11ee-817e-aa3623b10f85', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 12:37:15', '1', '2024-03-23 12:37:15', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (210, 'jiandan:8:40e137b4-e8cf-11ee-817e-aa3623b10f85', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 12:38:54', '1', '2024-03-23 12:38:54', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (211, 'jiandan:9:5df007b3-e8cf-11ee-817e-aa3623b10f85', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 12:39:43', '1', '2024-03-23 12:39:43', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (212, 'jiandan:10:86a7834f-e904-11ee-868e-769cf7027e4a', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 19:00:14', '1', '2024-03-23 19:00:14', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (213, 'jiandan:11:ae58a559-e904-11ee-868e-769cf7027e4a', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 19:01:21', '1', '2024-03-23 19:01:21', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (214, 'jiandan:12:b021305d-e904-11ee-868e-769cf7027e4a', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 19:01:24', '1', '2024-03-23 19:01:24', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (215, 'jiandan:13:3d5f2d56-e905-11ee-9c2f-cacdb29edc0f', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 19:05:21', '1', '2024-03-23 19:05:21', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (216, 'jiandan:14:911254cd-e905-11ee-b8a7-cacdb29edc0f', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 19:07:41', '1', '2024-03-23 19:07:41', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (217, 'jiandan:15:d171abcd-e905-11ee-b8a7-cacdb29edc0f', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 19:09:29', '1', '2024-03-23 19:09:29', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (218, 'jiandan:16:12cd3d1d-e906-11ee-b8a7-cacdb29edc0f', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 19:11:19', '1', '2024-03-23 19:11:19', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (219, 'jiandan:17:14ffd491-e906-11ee-b8a7-cacdb29edc0f', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 19:11:23', '1', '2024-03-23 19:11:23', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (220, 'jiandan:18:a37d1331-e907-11ee-ad58-cacdb29edc0f', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 19:22:31', '1', '2024-03-23 19:22:31', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (221, 'jiandan:19:c0a44484-e915-11ee-9b58-4ad6071fe8cb', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 21:03:33', '1', '2024-03-23 21:03:33', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (222, 'jiandan:20:d94ad861-e915-11ee-9b58-4ad6071fe8cb', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 21:04:14', '1', '2024-03-23 21:04:14', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (223, 'jiandan:21:ebf8cc15-e915-11ee-9b58-4ad6071fe8cb', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 21:04:46', '1', '2024-03-23 21:04:46', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (224, 'jiandan:22:f303eda9-e915-11ee-9b58-4ad6071fe8cb', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 21:04:58', '1', '2024-03-23 21:04:58', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (225, 'jiandan:23:1f51a246-e916-11ee-9b58-4ad6071fe8cb', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 21:06:12', '1', '2024-03-23 21:06:12', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (226, 'jiandan:24:2143602a-e916-11ee-9b58-4ad6071fe8cb', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-23 21:06:15', '1', '2024-03-23 21:06:15', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (227, 'jiandan:25:fe687100-e97f-11ee-98a3-7248bcbce76f', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-24 09:44:03', '1', '2024-03-24 09:44:03', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (228, 'jiandan:26:e9f49fcc-e981-11ee-b9f2-daad0f82ed42', '31b0d649-e8c8-11ee-afed-aa3623b10f85', NULL, '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-24 09:57:48', '1', '2024-03-24 09:57:48', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (229, 'jiandan:27:1fdd973f-e982-11ee-85e4-0ae4354b692e', '31b0d649-e8c8-11ee-afed-aa3623b10f85', 'http://test.yudao.iocoder.cn/a2b3603cf8797447c26a22f18256df94562d5e00bcbdc2a523098119c50a6efa.png', '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-24 09:59:19', '1', '2024-03-24 09:59:19', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (230, 'jiandan:28:4eaa2e83-e982-11ee-85e4-0ae4354b692e', '31b0d649-e8c8-11ee-afed-aa3623b10f85', 'http://test.yudao.iocoder.cn/a2b3603cf8797447c26a22f18256df94562d5e00bcbdc2a523098119c50a6efa.png', '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-24 10:00:45', '1', '2024-03-24 10:00:45', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (231, 'crm-receivable-audit:3:a7ef6c37-e982-11ee-85e4-0ae4354b692e', '9bc054ce-d3d2-11ee-aa2f-26aa5e0b65cc', 'http://test.yudao.iocoder.cn/4c38186a52a6796d998f4e826178e1c24bee0eb722f8751e9ffb4d8eaea9b5cf.png', NULL, 20, NULL, NULL, NULL, '/crm/receivable/detail/index', '/crm/receivable/detail/index', '1', '2024-03-24 10:03:07', '1', '2024-03-24 10:03:07', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (232, 'new-1:14:bddcd37b-e982-11ee-85e4-0ae4354b692e', '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1', NULL, '2222', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-24 10:03:44', '1', '2024-03-24 10:03:44', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (233, 'crm-receivable-audit:4:bf5cbcbf-e982-11ee-85e4-0ae4354b692e', '9bc054ce-d3d2-11ee-aa2f-26aa5e0b65cc', 'http://test.yudao.iocoder.cn/4c38186a52a6796d998f4e826178e1c24bee0eb722f8751e9ffb4d8eaea9b5cf.png', NULL, 20, NULL, NULL, NULL, '/crm/receivable/detail/index', '/crm/receivable/detail/index', '1', '2024-03-24 10:03:46', '1', '2024-03-24 10:03:46', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (234, 'crm-contract-audit:3:c0998283-e982-11ee-85e4-0ae4354b692e', '5b40f87b-d2a7-11ee-a703-92ff8e2e5a3e', 'http://test.yudao.iocoder.cn/10d745dfe02082351f86c28ed2f3a7e0da8bbf6858f1d4a02e409930b3670d63.png', NULL, 20, NULL, NULL, NULL, '/crm/contract/detail/index', '/crm/contract/detail/index', '1', '2024-03-24 10:03:48', '1', '2024-03-24 10:03:48', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (235, 'jiandan:29:04a89a9e-e983-11ee-8309-e2652d1d3e17', '31b0d649-e8c8-11ee-afed-aa3623b10f85', 'http://test.yudao.iocoder.cn/a2b3603cf8797447c26a22f18256df94562d5e00bcbdc2a523098119c50a6efa.png', '31', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-24 10:05:42', '1', '2024-03-24 10:05:42', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (236, 'test-execute-listener:3:05563fc2-e983-11ee-8309-e2652d1d3e17', '63ad6275-e8c6-11ee-a81e-aa3623b10f85', 'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png', NULL, 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-24 10:05:43', '1', '2024-03-24 10:05:43', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (237, 'oa_leave:5:06357c36-e983-11ee-8309-e2652d1d3e17', '5a910c07-e6b8-11ee-9cdc-4a23a0fa7ecb', 'http://test.yudao.iocoder.cn/628560c644de0ae9120114509227ffb90a32e23dfc9afc2bd63763cd781ece8f.png', NULL, 20, NULL, NULL, NULL, '/bpm/oa/leave/create', '/bpm/oa/leave/detail', '1', '2024-03-24 10:05:45', '1', '2024-03-24 10:05:45', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (238, 'new-2:8:072f458a-e983-11ee-8309-e2652d1d3e17', '096c61cd-e2c0-11ee-ad8d-9216688a4b8f', 'http://test.yudao.iocoder.cn/6857d7b2e57f514629c0f1aa937c5fc6c551460851975bc3ea15b5a56ce4bdea.png', '123', 10, 24, '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}', '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]', NULL, NULL, '1', '2024-03-24 10:05:47', '1', '2024-03-24 10:05:47', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (239, 'crm-receivable-audit:5:0828729e-e983-11ee-8309-e2652d1d3e17', '9bc054ce-d3d2-11ee-aa2f-26aa5e0b65cc', 'http://test.yudao.iocoder.cn/4c38186a52a6796d998f4e826178e1c24bee0eb722f8751e9ffb4d8eaea9b5cf.png', NULL, 20, NULL, NULL, NULL, '/crm/receivable/detail/index', '/crm/receivable/detail/index', '1', '2024-03-24 10:05:48', '1', '2024-03-24 10:05:48', b'0', 1);
INSERT INTO `bpm_process_definition_info` (`id`, `process_definition_id`, `model_id`, `icon`, `description`, `form_type`, `form_id`, `form_conf`, `form_fields`, `form_custom_create_path`, `form_custom_view_path`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (240, 'crm-contract-audit:4:09a0e1d2-e983-11ee-8309-e2652d1d3e17', '5b40f87b-d2a7-11ee-a703-92ff8e2e5a3e', 'http://test.yudao.iocoder.cn/10d745dfe02082351f86c28ed2f3a7e0da8bbf6858f1d4a02e409930b3670d63.png', NULL, 20, NULL, NULL, NULL, '/crm/contract/detail/index', '/crm/contract/detail/index', '1', '2024-03-24 10:05:51', '1', '2024-03-24 10:05:51', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for bpm_process_expression
-- ----------------------------
DROP TABLE IF EXISTS `bpm_process_expression`;
CREATE TABLE `bpm_process_expression`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '表达式名字',
  `status` tinyint NOT NULL COMMENT '表达式状态',
  `expression` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表达式',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 120 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'BPM 流程表达式表';

-- ----------------------------
-- Records of bpm_process_expression
-- ----------------------------
BEGIN;
INSERT INTO `bpm_process_expression` (`id`, `name`, `status`, `expression`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (116, '测试表达式', 0, 'cn.iocoder.yudao.module.bpm.framework.flowable.core.listener.demo.exection.DemoDelegateClassExecutionListener', '1', '2024-03-23 15:13:20', '1', '2024-03-09 22:37:51', b'1', 1);
INSERT INTO `bpm_process_expression` (`id`, `name`, `status`, `expression`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`) VALUES (118, '测试任务监听器', 0, 'cn.iocoder.yudao.module.bpm.framework.flowable.core.listener.demo.task.DemoDelegateClassTaskListener', '1', '2024-03-23 19:13:15', '1', '2024-03-09 22:36:44', b'1', 1);
COMMIT;

-- ----------------------------
-- Table structure for bpm_process_instance_copy
-- ----------------------------
DROP TABLE IF EXISTS `bpm_process_instance_copy`;
CREATE TABLE `bpm_process_instance_copy`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `user_id` bigint NOT NULL DEFAULT 0 COMMENT '用户编号，被抄送人',
  `start_user_id` bigint NOT NULL DEFAULT 0 COMMENT '发起流程的用户编号',
  `process_instance_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '流程实例的id',
  `process_instance_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '流程实例的名字',
  `category` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '流程定义的分类',
  `task_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '发起抄送的任务编号',
  `task_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '任务的名字',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'BPM 流程实例抄送表';

-- ----------------------------
-- Records of bpm_process_instance_copy
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for bpm_process_listener
-- ----------------------------
DROP TABLE IF EXISTS `bpm_process_listener`;
CREATE TABLE `bpm_process_listener`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '监听器名字',
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '监听器类型',
  `status` tinyint NOT NULL COMMENT '监听器状态',
  `event` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '监听事件',
  `value_type` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '监听器值类型',
  `value` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '监听器值',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 119 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'BPM 流程监听器表';

-- ----------------------------
-- Records of bpm_process_listener
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for bpm_user_group
-- ----------------------------
DROP TABLE IF EXISTS `bpm_user_group`;
CREATE TABLE `bpm_user_group`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '组名',
  `description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '描述',
  `user_ids` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '成员编号数组',
  `status` tinyint NOT NULL COMMENT '状态（0正常 1停用）',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 114 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'BPM 用户组表';

-- ----------------------------
-- Records of bpm_user_group
-- ----------------------------
BEGIN;
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
